Bug 20677 - smp_num_cpus undefined
smp_num_cpus undefined
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-11 11:24 EST by Todd Krein
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-11 11:24:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Krein 2000-11-11 11:24:18 EST
In a stock 7.0 kernel, I do:

make oldconfig
make dep
make bzImage


I get errors that smp_num_cpus is redefined and ultimately undefined in 
ksym.c, amongst others.

Fix is to change include/linux/modules/i386_ksym.ver

#define smp_num_cpus _set_ver(smp_num_cpus)

to

#ifndef smp_num_cpus
#define smp_num_cpus _set_ver(smp_num_cpus)
#endif
Comment 1 Bill Nottingham 2000-11-13 02:20:23 EST
You need to run 'make mrproper' before rebuilding.

Note You need to log in before you can comment on or make changes to this bug.